<!--The whole content below can be removed with the new code.-->
<div>
  <div class="container stock-modal" *ngIf="stockExchange?.isBuying">
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <h4>Buy {{stockExchange?.stockToBuy?.name}}</h4>
      </div>
    </div>
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <form>
          <div class="form-group row">
            <label for="priceBuy" class="col-4 col-form-label">1 stock</label>
            <div class="col-8">
              <input type="text" class="form-control" id="priceBuy"  name="priceBuy"
                     [ngModel]="stockExchange.stockToBuy.price" disabled>
            </div>
          </div>
          <div class="form-group row">
            <label for="stocksNumberBuy" class="col-4 col-form-label">Wallet</label>
            <div class="col-8">
              <input type="number" class="form-control" id="stocksNumberBuy" placeholder="stocks number" name="stocks number buy" min="1"
                     [max]="(gs.activeUser.details.wallet / stockExchange.stockToBuy?.price).toFixed(2)"
                     [(ngModel)]="stockExchange.stockToBuy.bought" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="stocksTotalSumToBuy" class="col-4 col-form-label">Total price</label>
            <div class="col-7">
              <input type="number" class="form-control" id="stocksTotalSumToBuy"  name="stocks number buy"
                     [value]="(stockExchange.stockToBuy?.price * stockExchange.stockToBuy?.bought).toFixed(2)" disabled>
            </div>
            <div class="col-1">
              PLN
            </div>
          </div>

          <button type="submit" class="btn btn-primary pull-right" (click)="stockExchange.buyStocksByUser(stockExchange.stockToBuy)">
            Buy
          </button>
        </form>
        <button  class="btn btn-danger"  (click)="stockExchange.isBuying = false">
          Cancel
        </button>
      </div>
    </div>
  </div>



  <div class="container stock-modal" *ngIf="stockExchange?.isSelling">
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <h4>Sell {{stockExchange?.stockToSell?.name}}</h4>
      </div>
    </div>
    <div class="row justify-content-md-center">
      <div class="col-md-auto">
        <form>
          <div class="form-group row">
            <label for="priceSell" class="col-4 col-form-label">1 stock</label>
            <div class="col-8">
              <input type="text" class="form-control" id="priceSell"  name="priceSell"
                     [ngModel]="stockExchange.stockToSell.price" disabled>
            </div>
          </div>
          <div class="form-group row">
            <label for="stocksNumberToSell" class="col-4 col-form-label">Wallet</label>
            <div class="col-8">
              <input type="number" class="form-control" id="stocksNumberToSell" placeholder="stocks number" name="stocks number to sell" min="1"
                     [(ngModel)]="stockExchange.stockToSell.bought" required>
            </div>
          </div>
          <div class="form-group row">
            <label for="stocksTotalSumToSell" class="col-4 col-form-label">Total price</label>
            <div class="col-7">
              <input type="number" class="form-control" id="stocksTotalSumToSell"  name="stocks number to sell"
                     [value]="(stockExchange.stockToSell?.price * stockExchange.stockToSell?.bought).toFixed(2)" disabled>
            </div>
            <div class="col-1">
              PLN
            </div>
          </div>

          <button type="submit" class="btn btn-primary pull-right" (click)="stockExchange.sellStocksByUser(stockExchange.stockToSell)">
            Sell
          </button>
        </form>
        <button  class="btn btn-danger"  (click)="stockExchange.isSelling = false">
          Cancel
        </button>
      </div>
    </div>
  </div>

</div>

